Bug 681094 - yumdownloader exits 0 if package couldn't be downloaded
yumdownloader exits 0 if package couldn't be downloaded
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-28 23:53 EST by Jon Stanley
Modified: 2014-05-28 05:49 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-28 05:49:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Stanley 2011-02-28 23:53:38 EST
Just to get this into a bug report from an IRC conversation :)

If a package exists in cached metadata, but it couldn't be downloaded from any mirror (or the baseurl not using mirrorlists), yumdownloader will exit with status 0. A simple reproducer is to set proxies to things that don't exist so that nothing can be downloaded.

$ yumdownloader kernel
Loaded plugins: auto-update-debuginfo, refresh-packagekit
Found 17 installed debuginfo package(s)
<strip repo enablement, not relevant>
http://mirror.hiwaay.net/pub/rpmfusion/free/fedora/releases/13/Everything/x86_64/os/repodata/repomd.xml: [Errno 14] PYCURL ERROR 5 - ""
Trying other mirror.
http://mirror.liberty.edu/pub/rpmfusion/free/fedora/releases/13/Everything/x86_64/os/repodata/repomd.xml: [Errno 14] PYCURL ERROR 5 - ""
Trying other mirror.
<much snippage>
Could not download/verify pkg kernel-2.6.34.7-66.fc13.x86_64: failure: kernel-2.6.34.7-66.fc13.x86_64.rpm from updates: [Errno 256] No more mirrors to try.
$ echo $?
0
$
Comment 1 Jon Stanley 2011-04-21 12:31:55 EDT
Same thing in F15:

<snip>
Could not download/verify pkg kernel-2.6.38.2-9.fc15.x86_64: failure: Packages/kernel-2.6.38.2-9.fc15.x86_64.rpm from fedora: [Errno 256] No more mirrors to try.
# echo $?
0
# rpm -q createrepo
createrepo-0.9.9-3.fc15.noarch
# rpm -q yum-utils yum
yum-utils-1.1.30-2.fc15.noarch
yum-3.2.29-4.fc15.noarch
#
Comment 2 Fedora End Of Life 2013-04-03 13:35:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Note You need to log in before you can comment on or make changes to this bug.